[pylint]
ignore = 
	templates

disable = 
	mixed-indentation,
	invalid-name,
	superfluous-parens,
	no-self-argument,
	bad-continuation,
	missing-docstring

[isort]
sections=FUTURE,STDLIB,THIRDPARTY,MSGS,FIRSTPARTY,LOCALFOLDER
known_msgs=std_srvs, std_msgs, geometry_msgs, sensor_msgs, gazebo_msgs, trolley_msgs
known_standard_library = sympy, numpy, scipy, rospy, rostopic, rospkg, rosbag, yaml, matplotlib, pandas
known_first_party = python_scripts, toolbox

line_length = 200
multi_line_output = 0
#force_single_line = True

[yapf] # https://github.com/google/yapf
BASED_ON_STYLE = pep8 # Which predefined style this style is based on.
USE_TABS = True # Use the Tab character for indentation.
ALIGN_CLOSING_BRACKET_WITH_VISUAL_INDENT = True # Align closing bracket with visual indentation.
#ALLOW_MULTILINE_LAMBDAS =  # Allow lambdas to be formatted on more than one line.
ALLOW_MULTILINE_DICTIONARY_KEYS = False # Allow dictionary keys to exist on multiple lines.
#ALLOW_SPLIT_BEFORE_DEFAULT_OR_NAMED_ASSIGNS =  # Allow splitting before a default / named assignment in an argument list.
ALLOW_SPLIT_BEFORE_DICT_VALUE = True # Allow splits before the dictionary value.
#ARITHMETIC_PRECEDENCE_INDICATION =  # Let spacing indicate operator precedence. 
BLANK_LINE_BEFORE_NESTED_CLASS_OR_DEF = True # Insert a blank line before a 'def' or 'class' immediately nested within another 'def' or 'class'. 
#BLANK_LINE_BEFORE_CLASS_DOCSTRING =  # Insert a blank line before a class-level docstring.
BLANK_LINE_BEFORE_MODULE_DOCSTRING = True # Insert a blank line before a module docstring.
#BLANK_LINES_AROUND_TOP_LEVEL_DEFINITION =  # Number of blank lines surrounding top-level function and class definitions.
#BLANK_LINES_BETWEEN_TOP_LEVEL_IMPORTS_AND_VARIABLES =  # Number of blank lines between top-level imports and variable definitions.
#COALESCE_BRACKETS =  # Do not split consecutive brackets. Only relevant when dedent_closing_brackets is set. 
COLUMN_LIMIT = 125 # The column limit.
CONTINUATION_ALIGN_STYLE = SPACE # The style for continuation alignment. 
#	# Possible values are:
#	#- SPACE: Use spaces for continuation alignment. This is default behavior.
#	#- FIXED: Use fixed number (CONTINUATION_INDENT_WIDTH) of columns (ie: CONTINUATION_INDENT_WIDTH/INDENT_WIDTH tabs or CONTINUATION_INDENT_WIDTH spaces) for continuation alignment.
#	#- VALIGN-RIGHT: Vertically align continuation lines to multiple of INDENT_WIDTH columns. Slightly right (one tab or a few spaces) if cannot vertically align continuation lines with indent characters.
#CONTINUATION_INDENT_WIDTH =  # Indent width used for line continuations.
DEDENT_CLOSING_BRACKETS = True # Put closing brackets on a separate line, dedented, if the bracketed expression can't fit in a single line. Applies to all kinds of brackets, including function definitions and calls. 
#DISABLE_ENDING_COMMA_HEURISTIC =  # Disable the heuristic which places each list element on a separate line if the list is comma-terminated.
EACH_DICT_ENTRY_ON_SEPARATE_LINE = True # Place each dictionary entry onto its own line.
#FORCE_MULTILINE_DICT =  # Require multiline dictionary even if it would normally fit on one line.
#I18N_COMMENT =  #	The regex for an i18n comment. The presence of this comment stops reformatting of that line, because the comments are required to be next to the string they translate.
#I18N_FUNCTION_CALL =  # The i18n function call names. The presence of this function stops reformattting on that line, because the string it has cannot be moved away from the i18n comment.
#INDENT_CLOSING_BRACKETS =  # Put closing brackets on a separate line, indented, if the bracketed expression can't fit in a single line. Applies to all kinds of brackets, including function definitions and calls. 
INDENT_DICTIONARY_VALUE = True # Indent the dictionary value if it cannot fit on the same line as the dictionary key.
#INDENT_WIDTH =  # The number of columns to use for indentation.
#INDENT_BLANK_LINES =  # Indent blank lines.
JOIN_MULTIPLE_LINES = True # Join short lines into one line. E.g., single line 'if' statements.
#NO_SPACES_AROUND_SELECTED_BINARY_OPERATORS =  # Do not include spaces around selected binary operators.
#SPACE_BETWEEN_ENDING_COMMA_AND_CLOSING_BRACKET =  # Insert a space between the ending comma and closing bracket of a list, etc.
#SPACE_INSIDE_BRACKETS =  # Use spaces inside brackets, braces, and parentheses.  
#SPACES_AROUND_POWER_OPERATOR =  # Use spaces around the power operator.
#SPACES_AROUND_DEFAULT_OR_NAMED_ASSIGN =  # Use spaces around default or named assigns.
#SPACES_AROUND_DICT_DELIMITERS =  # Adds a space after the opening '{' and before the ending '}' dict delimiters.
#SPACES_AROUND_LIST_DELIMITERS =  # Adds a space after the opening '[' and before the ending ']' list delimiters.
#SPACES_AROUND_SUBSCRIPT_COLON =  # Use spaces around the subscript / slice operator.  
#SPACES_AROUND_TUPLE_DELIMITERS =  # Adds a space after the opening '(' and before the ending ')' tuple delimiters.
#SPACES_BEFORE_COMMENT =  # The number of spaces required before a trailing comment. This can be a single value (representing the number of spaces before each trailing comment) or list of values (representing alignment column values; trailing comments within a block will be aligned to the first column value that is greater than the maximum line length within the block).
#SPLIT_ARGUMENTS_WHEN_COMMA_TERMINATED =  # Split before arguments if the argument list is terminated by a comma.
#SPLIT_ALL_COMMA_SEPARATED_VALUES =  # Split before arguments
#SPLIT_ALL_TOP_LEVEL_COMMA_SEPARATED_VALUES =  # Split before arguments, but do not split all subexpressions recursively (unless needed).
SPLIT_BEFORE_ARITHMETIC_OPERATOR = True # Set to True to prefer splitting before '+', '-', '*', '/', '//', or '@' rather than after.
#SPLIT_BEFORE_BITWISE_OPERATOR =  # Set to True to prefer splitting before '&', '|' or '^' rather than after.
#SPLIT_BEFORE_CLOSING_BRACKET =  # Split before the closing bracket if a list or dict literal doesn't fit on a single line.
#SPLIT_BEFORE_DICT_SET_GENERATOR =  # Split before a dictionary or set generator (comp_for).
#SPLIT_BEFORE_DOT =  # Split before the '.' if we need to split a longer expression.
#SPLIT_BEFORE_EXPRESSION_AFTER_OPENING_PAREN =  # Split after the opening paren which surrounds an expression if it doesn't fit on a single line.
#SPLIT_BEFORE_FIRST_ARGUMENT =  # If an argument / parameter list is going to be split, then split before the first argument.
#SPLIT_BEFORE_LOGICAL_OPERATOR =  # Set to True to prefer splitting before 'and' or 'or' rather than after.
#SPLIT_BEFORE_NAMED_ASSIGNS =  # Split named assignments onto individual lines.
#SPLIT_COMPLEX_COMPREHENSION =  # Set to True to split list comprehensions and generators that have non-trivial expressions and multiple clauses before each of these clauses. 
#SPLIT_PENALTY_AFTER_OPENING_BRACKET =  # The penalty for splitting right after the opening bracket.
#SPLIT_PENALTY_AFTER_UNARY_OPERATOR =  # The penalty for splitting the line after a unary operator.
#SPLIT_PENALTY_ARITHMETIC_OPERATOR =  # The penalty of splitting the line around the '+', '-', '*', '/', '//', ``%``, and '@' operators.
#SPLIT_PENALTY_BEFORE_IF_EXPR =  # The penalty for splitting right before an if expression.
#SPLIT_PENALTY_BITWISE_OPERATOR =  # The penalty of splitting the line around the '&', '|', and '^' operators.
#SPLIT_PENALTY_COMPREHENSION =  # The penalty for splitting a list comprehension or generator expression.
#SPLIT_PENALTY_EXCESS_CHARACTER =  #The penalty for characters over the column limit.
#SPLIT_PENALTY_FOR_ADDED_LINE_SPLIT =  #The penalty incurred by adding a line split to the unwrapped line. Themore line splits added the higher the penalty.
#SPLIT_PENALTY_IMPORT_NAMES =  #The penalty of splitting a list of #import as names. 
#SPLIT_PENALTY_LOGICAL_OPERATOR =  #The penalty of splitting the line around the 'and' and 'or'operators.

